
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GPS_PRINTXML_H
#define GPS_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/pomPrintXML.h"


#include "GPSPosterLib.h"

/* Prototypes */
extern void printXML_struct_GPS_GPSDEBUG_POSTER_STR ( FILE *out, char *name,
     struct GPS_GPSDEBUG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_MEPOS_POSTER_STR ( FILE *out, char *name,
     struct GPS_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_INFO_POSTER_STR ( FILE *out, char *name,
     struct GPS_INFO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_STR ( FILE *out, char *name,
     struct GPS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_DEBUG ( FILE *out, char *name,
     struct GPS_DEBUG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_INIT ( FILE *out, char *name,
     struct GPS_INIT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_LOG ( FILE *out, char *name,
     struct GPS_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_POS_QUALITY ( FILE *out, char *name,
     struct GPS_POS_QUALITY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_REF_POS ( FILE *out, char *name,
     struct GPS_REF_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_POM_TAGGING ( FILE *out, char *name,
     struct GPS_POM_TAGGING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_GPS_STRING ( FILE *out, char *name,
     struct GPS_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GPS_FLAG ( FILE *out, char *name,
     enum GPS_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GPSNovatel_FLAG ( FILE *out, char *name,
     enum GPSNovatel_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GPS_LOG_FORMAT ( FILE *out, char *name,
     enum GPS_LOG_FORMAT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_HEADINGb_LOG ( FILE *out, char *name,
     struct HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM6HEADINGb_LOG ( FILE *out, char *name,
     struct OEM6HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_BESTXYZb_LOG ( FILE *out, char *name,
     struct BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM4BESTXYZb_LOG ( FILE *out, char *name,
     struct OEM4BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_BESTVELb_LOG ( FILE *out, char *name,
     struct BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM4BESTVELb_LOG ( FILE *out, char *name,
     struct OEM4BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_BESTUTMb_LOG ( FILE *out, char *name,
     struct BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM4BESTUTMb_LOG ( FILE *out, char *name,
     struct OEM4BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_BESTPOSb_LOG ( FILE *out, char *name,
     struct BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM4BESTPOSb_LOG ( FILE *out, char *name,
     struct OEM4BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_OEM4_BINARY_HEADER ( FILE *out, char *name,
     struct OEM4_BINARY_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_OEM4_BINARY_HEADER ( FILE *out, char *name,
     OEM4_BINARY_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_OEM4BESTPOSb_LOG ( FILE *out, char *name,
     OEM4BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_BESTPOSb_LOG ( FILE *out, char *name,
     BESTPOSb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_OEM4BESTUTMb_LOG ( FILE *out, char *name,
     OEM4BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_BESTUTMb_LOG ( FILE *out, char *name,
     BESTUTMb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_OEM4BESTVELb_LOG ( FILE *out, char *name,
     OEM4BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_BESTVELb_LOG ( FILE *out, char *name,
     BESTVELb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_OEM4BESTXYZb_LOG ( FILE *out, char *name,
     OEM4BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_BESTXYZb_LOG ( FILE *out, char *name,
     BESTXYZb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_OEM6HEADINGb_LOG ( FILE *out, char *name,
     OEM6HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_HEADINGb_LOG ( FILE *out, char *name,
     HEADINGb_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_LOG_FORMAT ( FILE *out, char *name,
     GPS_LOG_FORMAT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPSNovatel_FLAG ( FILE *out, char *name,
     GPSNovatel_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_FLAG ( FILE *out, char *name,
     GPS_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_STRING ( FILE *out, char *name,
     GPS_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_POM_TAGGING ( FILE *out, char *name,
     GPS_POM_TAGGING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_REF_POS ( FILE *out, char *name,
     GPS_REF_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_POS_QUALITY ( FILE *out, char *name,
     GPS_POS_QUALITY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_LOG ( FILE *out, char *name,
     GPS_LOG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_INIT ( FILE *out, char *name,
     GPS_INIT *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_DEBUG ( FILE *out, char *name,
     GPS_DEBUG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_STR ( FILE *out, char *name,
     GPS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_INFO_POSTER_STR ( FILE *out, char *name,
     GPS_INFO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_MEPOS_POSTER_STR ( FILE *out, char *name,
     GPS_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GPS_GPSDEBUG_POSTER_STR ( FILE *out, char *name,
     GPS_GPSDEBUG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* GPS_PRINT_XML_H */

